﻿@page "{AccountID}"
@using Canyon.GM.Panel.Helpers;
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.TradeHistoryDetailModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40">
    <div class="row mt-5">
        <div class="col-md-6">
            <div class="row">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeIdentity")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.Id
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTime")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.Timestamp
                </div>
            </div>
        </div>
    </div>
    <div class="row mt-5">
        <div class="col-md-6">
            <div class="row">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeInviter")</label>
                <div class="col-sm-8">
                    [@Model.TradeInfo.CallerId] @Model.TradeInfo.CallerName
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeCallerIpAddress")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.CallerIpAddress
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeCallerMacAddress")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.CallerMacAddress
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeCallerMoneySent")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.CallerMoney
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeCallerConquerPointsSent")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.CallerConquerPoints
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="row">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTarget")</label>
                <div class="col-sm-8">
                    [@Model.TradeInfo.TargetId] @Model.TradeInfo.TargetName
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTargetIpAddress")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.TargetIpAddress
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTargetMacAddress")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.TargetMacAddress
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTargetMoneySent")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.TargetMoney
                </div>
            </div>
            <div class="row mt-5">
                <label class="control-label col-sm-4">@StringLocalizer.GetString("TradeTargetConquerPointsSent")</label>
                <div class="col-sm-8">
                    @Model.TradeInfo.TargetConquerPoints
                </div>
            </div>
        </div>
    </div>

    @if (Model.TradeHistoryDetails.Count > 0)
    {
        var senderHistory = Model.TradeHistoryDetails.Where(x => x.UserId == Model.TradeInfo.CallerId);
        var targetHistory = Model.TradeHistoryDetails.Where(x => x.UserId == Model.TradeInfo.TargetId);

        <hr />
        <h1>Itens Enviados</h1>

        @if (senderHistory.Count() > 0)
        {
            <h2 id="senderItemTable" class="mt-2">@Model.TradeInfo.CallerName</h2>
            <table class="table table-responsive table-hover" aria-describedby="senderItemTable">
                <thead>
                    <tr>
                        <th>@StringLocalizer["Type"]</th>
                        <th>@StringLocalizer["Name"]</th>
                        <th>@StringLocalizer["Amount"]</th>
                        <th>@StringLocalizer["Durability"]</th>
                        <th>@StringLocalizer["CompositionBonus"]</th>
                        <th>@StringLocalizer["SocketGem"]</th>
                        <th>@StringLocalizer["ReduceDamage"]</th>
                        <th>@StringLocalizer["Enchantment"]</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in senderHistory)
                    {
                        var itemData = item.GetItemData();
                        <tr>
                            <td>@StringLocalizer[ItemHelper.GetEquipmentTypeName(item.ItemType)]</td>
                            <td>@ItemHelper.ItemFullName(item.ItemName, item.ItemType, itemData?.Magic3 ?? 0, itemData?.Gem1 ?? 0, itemData?.Gem2 ?? 0, itemData?.ReduceDmg ?? 0)</td>
                            <td>@Math.Max(1, itemData?.AccumulateNum ?? 0)</td>
                            <td>@itemData?.Amount/@itemData?.AmountLimit</td>
                            <td>@itemData?.Magic3</td>
                            <td>@itemData?.Gem1 @itemData?.Gem2</td>
                            <td>@itemData?.ReduceDmg</td>
                            <td>@itemData?.AddLife</td>
                        </tr>
                    }
                </tbody>
            </table>
        }

        @if (targetHistory.Count() > 0)
        {
            <h2 id="targetItemTable">@Model.TradeInfo.TargetName</h2>
            <table class="table table-responsive table-hover" aria-describedby="targetItemTable">
                <thead>
                    <tr>
                        <th>@StringLocalizer["Type"]</th>
                        <th>@StringLocalizer["Name"]</th>
                        <th>@StringLocalizer["Amount"]</th>
                        <th>@StringLocalizer["Durability"]</th>
                        <th>@StringLocalizer["CompositionBonus"]</th>
                        <th>@StringLocalizer["SocketGem"]</th>
                        <th>@StringLocalizer["ReduceDamage"]</th>
                        <th>@StringLocalizer["Enchantment"]</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in targetHistory)
                    {
                        var itemData = item.GetItemData();
                        <tr>
                            <td>@StringLocalizer[ItemHelper.GetEquipmentTypeName(item.ItemType)]</td>
                            <td>@ItemHelper.ItemFullName(item.ItemName, item.ItemType, itemData?.Magic3 ?? 0, itemData?.Gem1 ?? 0, itemData?.Gem2 ?? 0, itemData?.ReduceDmg ?? 0)</td>
                            <td>@Math.Max(1, itemData?.AccumulateNum ?? 0)</td>
                            <td>@itemData?.Amount/@itemData?.AmountLimit</td>
                            <td>@itemData?.Magic3</td>
                            <td>@itemData?.Gem1 @itemData?.Gem2</td>
                            <td>@itemData?.ReduceDmg</td>
                            <td>@itemData?.AddLife</td>
                        </tr>
                    }
                </tbody>
            </table>
        }
    }
</div>